aboutsummaryrefslogtreecommitdiffstats
path: root/all.do
diff options
context:
space:
mode:
authorTomasz Kramkowski <tk@the-tk.com>2021-08-06 15:49:26 +0100
committerTomasz Kramkowski <tk@the-tk.com>2021-08-06 15:49:26 +0100
commita6f62055835c5c3f9546818fbbcd43c73baef57f (patch)
treee0fc0a7a94dafbf1ad65776d58e6ac1cb4208f2a /all.do
parente895879eac788f1d59a68d4d0ef7f3788e159842 (diff)
downloadpack-a6f62055835c5c3f9546818fbbcd43c73baef57f.tar.gz
pack-a6f62055835c5c3f9546818fbbcd43c73baef57f.tar.xz
pack-a6f62055835c5c3f9546818fbbcd43c73baef57f.zip
Implement compile_commands.json generation
Diffstat (limited to 'all.do')
-rwxr-xr-xall.do7
1 files changed, 5 insertions, 2 deletions
diff --git a/all.do b/all.do
index e8dccf3..3994db3 100755
--- a/all.do
+++ b/all.do
@@ -1,2 +1,5 @@
-#!/bin/sh
-redo-ifchange libpack test compile_flags.txt
+#!/usr/bin/env bash
+set -e
+redo-ifchange .vars.rc
+. ./.vars.rc
+redo-ifchange libpack test "${extra_targets[@]}"